#ifndef __INPUT_H
#define __INPUT_H

#ifdef __cplusplus
extern "C" {
#endif

#include <stdint.h>
#include <wiiuse/wpad.h>

#define X_OFFSET (-200)
#define Y_OFFSET (-200)

class Input
{
	public:
		Input();
		~Input();
		
		void read();
		
		int getCursorX();
		int getCursorY();
		f32 getCursorRot();
		
		u32 getButtonsDown();
		u32 getButtonsUp();
	private:
		ir_t c_ir;
};

#ifdef __cplusplus
}
#endif

#endif


